CREATE TABLE Trn_OilCompra ( 
TipDoc VARCHAR(3) DEFAULT ('COC') NOT NULL,
NumCompra INT DEFAULT ((0)) NOT NULL,
IdCia CHAR(2) NOT NULL,
Fecha SMALLDATETIME NOT NULL,
IdConcepto VARCHAR(4) NOT NULL,
IdProveedor VARCHAR(16) NOT NULL,
NumFactura VARCHAR(15) NOT NULL,
FechaFac SMALLDATETIME NOT NULL,
FechaVence SMALLDATETIME NOT NULL,
MulPlazos BIT DEFAULT ((0)) NOT NULL,
IdPlazo VARCHAR(4) NOT NULL,
CxPagar BIT DEFAULT ((0)) NOT NULL,
SubTotal DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
Descuento DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
Impuesto DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
Retencion DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
ReteIca DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
ReteIva DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
IvaIngProd DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
OtrosCargos DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
OtrosDctos DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
Fletes DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
VrNeto DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
Cantidad DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
BaseImp DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
BaseRet DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
BaseIvaIgp DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
TarifaIva DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
TarifaRet DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
TarifaIca DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
TarifaRiv DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
CodTarIva VARCHAR(4),
CodTarRet VARCHAR(4),
CodTarIca VARCHAR(4),
CodTarRiv VARCHAR(4),
CdCCosto VARCHAR(16),
CdSubCos VARCHAR(16),
Modalidad VARCHAR(10) NOT NULL,
FechaInicio SMALLDATETIME NOT NULL,
FechaFinal SMALLDATETIME,
TipCom VARCHAR(3),
Comprobante INT DEFAULT ((0)) NOT NULL,
IdCiaCom CHAR(2) NOT NULL,
Anulado BIT DEFAULT ((0)) NOT NULL,
FecDev SMALLDATETIME,
NumDev INT DEFAULT ((0)) NOT NULL,
Observacion VARCHAR(2000),
IdEstado VARCHAR(4) NOT NULL,
FechaCrea SMALLDATETIME NOT NULL,
IdCiaCrea CHAR(2) NOT NULL,
OrigenAdd VARCHAR(10) NOT NULL,
IdUsuario VARCHAR(11) NOT NULL,
EstRegCosto INT DEFAULT ((0)) NOT NULL,
NumRegCosto INT DEFAULT ((0)) NOT NULL,
CiaRegCosto CHAR(2)
 CONSTRAINT PK_Trn_OilCompra PRIMARY KEY CLUSTERED (TipDoc,NumCompra,IdCia),
 CONSTRAINT CK_Trn_OilCompraIdCia CHECK ((len([IdCia])>(0))),
 CONSTRAINT CK_Trn_OilCompraIdCiaCom CHECK ((len([IdCiaCom])>(0))),
 CONSTRAINT CK_Trn_OilCompraIdCiaCrea CHECK ((len([IdCiaCrea])>(0))),
 CONSTRAINT CK_Trn_OilCompraIdConcepto CHECK ((len([IdConcepto])>(0))),
 CONSTRAINT CK_Trn_OilCompraIdEstado CHECK ((len([IdEstado])>(0))),
 CONSTRAINT CK_Trn_OilCompraIdPlazo CHECK ((len([IdPlazo])>(0))),
 CONSTRAINT CK_Trn_OilCompraIdProveedor CHECK ((len([IdProveedor])>(0))),
 CONSTRAINT CK_Trn_OilCompraIdUsuario CHECK ((len([IdUsuario])>(0))),
 CONSTRAINT CK_Trn_OilCompraModalidad CHECK ((len([Modalidad])>(0))),
 CONSTRAINT CK_Trn_OilCompraNumFactura CHECK ((len([NumFactura])>(0))),
 CONSTRAINT CK_Trn_OilCompraOrigenAdd CHECK ((len([OrigenAdd])>(0))),
 CONSTRAINT CK_Trn_OilCompraTipDoc CHECK ((len([TipDoc])>(0))))
CREATE TABLE Trn_OilCompraDesp ( 
TipDoc VARCHAR(3) DEFAULT ('COC') NOT NULL,
NumCompra INT DEFAULT ((0)) NOT NULL,
IdCia CHAR(2) NOT NULL,
Item INT DEFAULT ((0)) NOT NULL,
NumGuia INT DEFAULT ((0)) NOT NULL,
IdCiaGuia CHAR(2) NOT NULL,
TipEnt VARCHAR(3) NOT NULL,
NumEntrada INT DEFAULT ((0)) NOT NULL,
IdCiaEnt CHAR(2) NOT NULL,
ItemEnt INT DEFAULT ((0)) NOT NULL,
IdProducto VARCHAR(16) NOT NULL,
CantBruto DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
CantNeto DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
CantEntrada DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
UndMed VARCHAR(10) DEFAULT ('br') NOT NULL,
UMCargue VARCHAR(10),
VrUnitario DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
NumTasas INT DEFAULT ((0)) NOT NULL,
TasaBrent DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
TasaWti DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
TRMdolar DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
Puntos DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
PrecioUnd DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
VrTotal DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
CdMoneda VARCHAR(5),
UMprecio VARCHAR(10)
 CONSTRAINT PK_Trn_OilCompraDesp PRIMARY KEY CLUSTERED (TipDoc,NumCompra,IdCia,Item),
 CONSTRAINT CK_Trn_OilCompraDespIdCia CHECK ((len([IdCia])>(0))),
 CONSTRAINT CK_Trn_OilCompraDespIdCiaEnt CHECK ((len([IdCiaEnt])>(0))),
 CONSTRAINT CK_Trn_OilCompraDespIdCiaGuia CHECK ((len([IdCiaGuia])>(0))),
 CONSTRAINT CK_Trn_OilCompraDespIdProducto CHECK ((len([IdProducto])>(0))),
 CONSTRAINT CK_Trn_OilCompraDespTipDoc CHECK ((len([TipDoc])>(0))),
 CONSTRAINT CK_Trn_OilCompraDespTipEnt CHECK ((len([TipEnt])>(0))),
 CONSTRAINT CK_Trn_OilCompraDespUndMed CHECK ((len([UndMed])>(0))))
CREATE TABLE Trn_OilCompraProd ( 
TipDoc VARCHAR(3) DEFAULT ('COC') NOT NULL,
NumCompra INT DEFAULT ((0)) NOT NULL,
IdCia CHAR(2) NOT NULL,
Item INT DEFAULT ((0)) NOT NULL,
IdProducto VARCHAR(16) NOT NULL,
Cantidad DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
UndMed VARCHAR(10) DEFAULT ('br') NOT NULL,
VrUnitario DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
CostoUnit DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
VrTotal DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
VrDcto DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
VrIva DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
TarifaIva DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
TarifaDct DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
CodTarIva VARCHAR(4),
CodTarDct VARCHAR(4),
Descripcion VARCHAR(1000),
CdMoneda VARCHAR(5),
CantBruto DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
CantNeto DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
CantEntrada DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
UMCargue VARCHAR(10),
UMEntrada VARCHAR(10)
 CONSTRAINT PK_Trn_OilCompraProd PRIMARY KEY CLUSTERED (TipDoc,NumCompra,IdCia,Item),
 CONSTRAINT CK_Trn_OilCompraProdIdCia CHECK ((len([IdCia])>(0))),
 CONSTRAINT CK_Trn_OilCompraProdIdProducto CHECK ((len([IdProducto])>(0))),
 CONSTRAINT CK_Trn_OilCompraProdTipDoc CHECK ((len([TipDoc])>(0))),
 CONSTRAINT CK_Trn_OilCompraProdUndMed CHECK ((len([UndMed])>(0))))
CREATE TABLE Trn_OilCostos ( 
TipProc VARCHAR(3) DEFAULT ('PCC') NOT NULL,
NumProceso INT DEFAULT ((0)) NOT NULL,
IdCia CHAR(2) NOT NULL,
Fecha SMALLDATETIME NOT NULL,
FechaInicio SMALLDATETIME NOT NULL,
FechaFinal SMALLDATETIME,
IdConcepto VARCHAR(4) NOT NULL,
NitProveedor VARCHAR(16) NOT NULL,
CodCiaFac CHAR(2) NOT NULL,
Cantidad DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
SubTotal DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
VrTransporte DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
VrTraVacio DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
TipCom VARCHAR(3),
Comprobante INT DEFAULT ((0)) NOT NULL,
IdCiaCom CHAR(2) NOT NULL,
Anulado BIT DEFAULT ((0)) NOT NULL,
FecDev SMALLDATETIME,
NumDev INT DEFAULT ((0)) NOT NULL,
Observacion VARCHAR(2000),
FechaCrea SMALLDATETIME NOT NULL,
IdCiaCrea CHAR(2) NOT NULL,
OrigenAdd VARCHAR(10) NOT NULL,
IdUsuario VARCHAR(11) NOT NULL
 CONSTRAINT PK_Trn_OilCostos PRIMARY KEY CLUSTERED (TipProc,NumProceso,IdCia),
 CONSTRAINT CK_Trn_OilCostosCodCiaFac CHECK ((len([CodCiaFac])>(0))),
 CONSTRAINT CK_Trn_OilCostosIdCia CHECK ((len([IdCia])>(0))),
 CONSTRAINT CK_Trn_OilCostosIdCiaCom CHECK ((len([IdCiaCom])>(0))),
 CONSTRAINT CK_Trn_OilCostosIdCiaCrea CHECK ((len([IdCiaCrea])>(0))),
 CONSTRAINT CK_Trn_OilCostosIdConcepto CHECK ((len([IdConcepto])>(0))),
 CONSTRAINT CK_Trn_OilCostosIdUsuario CHECK ((len([IdUsuario])>(0))),
 CONSTRAINT CK_Trn_OilCostosNitProveedor CHECK ((len([NitProveedor])>(0))),
 CONSTRAINT CK_Trn_OilCostosOrigenAdd CHECK ((len([OrigenAdd])>(0))),
 CONSTRAINT CK_Trn_OilCostosTipProc CHECK ((len([TipProc])>(0))))
CREATE TABLE Trn_OilCostosProd ( 
TipProc VARCHAR(3) DEFAULT ('PCC') NOT NULL,
NumProceso INT DEFAULT ((0)) NOT NULL,
IdCia CHAR(2) NOT NULL,
Item INT DEFAULT ((0)) NOT NULL,
TipCom VARCHAR(3) DEFAULT ('COC') NOT NULL,
NumCompra INT DEFAULT ((0)) NOT NULL,
IdCiaCom CHAR(2) NOT NULL,
ItemCom INT DEFAULT ((0)) NOT NULL,
IdProducto VARCHAR(16) NOT NULL,
Cantidad DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
UndMed VARCHAR(10) DEFAULT ('br') NOT NULL,
VrUnitario DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
VrTotal DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
CantNeto DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
UMCargue VARCHAR(10),
CostoUnit DECIMAL(16,6) DEFAULT ((0)) NOT NULL
 CONSTRAINT PK_Trn_OilCostosProd PRIMARY KEY CLUSTERED (TipProc,NumProceso,IdCia,Item),
 CONSTRAINT CK_Trn_OilCostosProdIdCia CHECK ((len([IdCia])>(0))),
 CONSTRAINT CK_Trn_OilCostosProdIdCiaCom CHECK ((len([IdCiaCom])>(0))),
 CONSTRAINT CK_Trn_OilCostosProdIdProducto CHECK ((len([IdProducto])>(0))),
 CONSTRAINT CK_Trn_OilCostosProdTipCom CHECK ((len([TipCom])>(0))),
 CONSTRAINT CK_Trn_OilCostosProdTipProc CHECK ((len([TipProc])>(0))),
 CONSTRAINT CK_Trn_OilCostosProdUndMed CHECK ((len([UndMed])>(0))))
CREATE TABLE Trn_OilDevCompra ( 
TipDev VARCHAR(3) DEFAULT ('DCR') NOT NULL,
Devolucion INT DEFAULT ((0)) NOT NULL,
IdCia CHAR(2) NOT NULL,
Fecha SMALLDATETIME NOT NULL,
IdConcepto VARCHAR(4) NOT NULL,
TipDoc VARCHAR(3) DEFAULT ('COC') NOT NULL,
NumCompra INT DEFAULT ((0)) NOT NULL,
IdCiaDoc CHAR(2) NOT NULL,
FecDoc SMALLDATETIME NOT NULL,
IdProveedor VARCHAR(16) NOT NULL,
NumFactura VARCHAR(15) NOT NULL,
CxPagar BIT DEFAULT ((0)) NOT NULL,
SubTotal DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
Descuento DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
Impuesto DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
Retencion DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
ReteIca DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
ReteIva DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
IvaIngProd DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
OtrosCargos DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
OtrosDctos DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
Fletes DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
VrNeto DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
Cantidad DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
BaseImp DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
BaseRet DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
BaseIvaIgp DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
TarifaIva DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
TarifaRet DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
TarifaIca DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
TarifaRiv DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
CodTarIva VARCHAR(4),
CodTarRet VARCHAR(4),
CodTarIca VARCHAR(4),
CodTarRiv VARCHAR(4),
CdCCosto VARCHAR(16),
CdSubCos VARCHAR(16),
Modalidad VARCHAR(10) NOT NULL,
TipCom VARCHAR(3),
Comprobante INT DEFAULT ((0)) NOT NULL,
IdCiaCom CHAR(2) NOT NULL,
ModdDev VARCHAR(10) NOT NULL,
Observacion VARCHAR(2000),
FechaCrea SMALLDATETIME NOT NULL,
IdCiaCrea CHAR(2) NOT NULL,
OrigenAdd VARCHAR(10) NOT NULL,
IdUsuario VARCHAR(11) NOT NULL
 CONSTRAINT PK_Trn_OilDevCompra PRIMARY KEY CLUSTERED (TipDev,Devolucion,IdCia),
 CONSTRAINT CK_Trn_OilDevCompraIdCia CHECK ((len([IdCia])>(0))),
 CONSTRAINT CK_Trn_OilDevCompraIdCiaCom CHECK ((len([IdCiaCom])>(0))),
 CONSTRAINT CK_Trn_OilDevCompraIdCiaCrea CHECK ((len([IdCiaCrea])>(0))),
 CONSTRAINT CK_Trn_OilDevCompraIdCiaDoc CHECK ((len([IdCiaDoc])>(0))),
 CONSTRAINT CK_Trn_OilDevCompraIdConcepto CHECK ((len([IdConcepto])>(0))),
 CONSTRAINT CK_Trn_OilDevCompraIdProveedor CHECK ((len([IdProveedor])>(0))),
 CONSTRAINT CK_Trn_OilDevCompraIdUsuario CHECK ((len([IdUsuario])>(0))),
 CONSTRAINT CK_Trn_OilDevCompraModalidad CHECK ((len([Modalidad])>(0))),
 CONSTRAINT CK_Trn_OilDevCompraModdDev CHECK ((len([ModdDev])>(0))),
 CONSTRAINT CK_Trn_OilDevCompraNumFactura CHECK ((len([NumFactura])>(0))),
 CONSTRAINT CK_Trn_OilDevCompraOrigenAdd CHECK ((len([OrigenAdd])>(0))),
 CONSTRAINT CK_Trn_OilDevCompraTipDev CHECK ((len([TipDev])>(0))),
 CONSTRAINT CK_Trn_OilDevCompraTipDoc CHECK ((len([TipDoc])>(0))))
CREATE TABLE Trn_OilDevComProd ( 
TipDev VARCHAR(3) DEFAULT ('DCR') NOT NULL,
Devolucion INT DEFAULT ((0)) NOT NULL,
IdCia CHAR(2) NOT NULL,
Item INT DEFAULT ((0)) NOT NULL,
IdProducto VARCHAR(16) NOT NULL,
Cantidad DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
UndMed VARCHAR(10) DEFAULT ('br') NOT NULL,
VrUnitario DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
CostoUnit DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
VrTotal DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
VrDcto DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
VrIva DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
TarifaIva DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
TarifaDct DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
CodTarIva VARCHAR(4),
CodTarDct VARCHAR(4),
Descripcion VARCHAR(1000),
CdMoneda VARCHAR(5),
CantBruto DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
CantNeto DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
CantEntrada DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
UMCargue VARCHAR(10),
UMEntrada VARCHAR(10)
 CONSTRAINT PK_Trn_OilDevComProd PRIMARY KEY CLUSTERED (TipDev,Devolucion,IdCia,Item),
 CONSTRAINT CK_Trn_OilDevComProdIdCia CHECK ((len([IdCia])>(0))),
 CONSTRAINT CK_Trn_OilDevComProdIdProducto CHECK ((len([IdProducto])>(0))),
 CONSTRAINT CK_Trn_OilDevComProdTipDev CHECK ((len([TipDev])>(0))),
 CONSTRAINT CK_Trn_OilDevComProdUndMed CHECK ((len([UndMed])>(0))))
CREATE TABLE ProdCueCrudo ( 
IdProducto VARCHAR(16) NOT NULL,
Item INT DEFAULT ((0)) NOT NULL,
IdEstacion VARCHAR(4) NOT NULL,
IdCuenta VARCHAR(16) NOT NULL,
CdCueDev VARCHAR(16)
 CONSTRAINT PK_ProdCueCrudo PRIMARY KEY CLUSTERED (IdProducto,Item),
 CONSTRAINT CK_ProdCueCrudoIdCuenta CHECK ((len([IdCuenta])>(0))),
 CONSTRAINT CK_ProdCueCrudoIdEstacion CHECK ((len([IdEstacion])>(0))),
 CONSTRAINT CK_ProdCueCrudoIdProducto CHECK ((len([IdProducto])>(0))))
GO
ALTER TABLE Trn_OilCompra ADD 
 CONSTRAINT FK_Trn_OilCompra_adm_Usuarios FOREIGN KEY (IdUsuario) REFERENCES [dbo].[adm_Usuarios] (IdUsuario),
 CONSTRAINT FK_Trn_OilCompra_Companias FOREIGN KEY (IdCia) REFERENCES [dbo].[Companias] (IdCia),
 CONSTRAINT FK_Trn_OilCompra_Companias1 FOREIGN KEY (IdCiaCrea) REFERENCES [dbo].[Companias] (IdCia),
 CONSTRAINT FK_Trn_OilCompra_Conceptos FOREIGN KEY (IdConcepto) REFERENCES [dbo].[Conceptos] (IdConcepto),
 CONSTRAINT FK_Trn_OilCompra_EstadoDoc FOREIGN KEY (IdEstado) REFERENCES [dbo].[EstadoDoc] (IdEstado),
 CONSTRAINT FK_Trn_OilCompra_Sys_TiposDoc FOREIGN KEY (TipDoc) REFERENCES [dbo].[Sys_TiposDoc] (IdDoc),
 CONSTRAINT FK_Trn_OilCompra_Terceros FOREIGN KEY (IdProveedor) REFERENCES [dbo].[Terceros] (IdTercero)

 CREATE NONCLUSTERED INDEX IX_Trn_OilCompraFecha ON Trn_OilCompra(Fecha)
 CREATE NONCLUSTERED INDEX IX_Trn_OilCompraIdProveedor ON Trn_OilCompra(IdProveedor)
 CREATE NONCLUSTERED INDEX IX_Trn_OilCompraNumFactura ON Trn_OilCompra(NumFactura)
 CREATE NONCLUSTERED INDEX IX_Trn_OilCompraFechaFac ON Trn_OilCompra(FechaFac)

ALTER TABLE Trn_OilCompraProd ADD 
 CONSTRAINT FK_Trn_OilCompraProd_ProdMcias FOREIGN KEY (IdProducto) REFERENCES [dbo].[ProdMcias] (IdProducto),
 CONSTRAINT FK_Trn_OilCompraProd_Sys_Um FOREIGN KEY (UndMed) REFERENCES [dbo].[Sys_Um] (UndMed),
 CONSTRAINT FK_Trn_OilCompraProd_Trn_OilCompra FOREIGN KEY (TipDoc,NumCompra,IdCia) REFERENCES [dbo].[Trn_OilCompra] (TipDoc,NumCompra,IdCia)

ALTER TABLE Trn_OilCompraDesp ADD 
 CONSTRAINT FK_Trn_OilCompraDesp_ProdMcias FOREIGN KEY (IdProducto) REFERENCES [dbo].[ProdMcias] (IdProducto),
 CONSTRAINT FK_Trn_OilCompraDesp_Sys_Um FOREIGN KEY (UndMed) REFERENCES [dbo].[Sys_Um] (UndMed),
 CONSTRAINT FK_Trn_OilCompraDesp_Trn_OilCompra FOREIGN KEY (TipDoc,NumCompra,IdCia) REFERENCES [dbo].[Trn_OilCompra] (TipDoc,NumCompra,IdCia)

ALTER TABLE Trn_OilDevCompra ADD 
 CONSTRAINT FK_Trn_OilDevCompra_adm_Usuarios FOREIGN KEY (IdUsuario) REFERENCES [dbo].[adm_Usuarios] (IdUsuario),
 CONSTRAINT FK_Trn_OilDevCompra_Companias FOREIGN KEY (IdCia) REFERENCES [dbo].[Companias] (IdCia),
 CONSTRAINT FK_Trn_OilDevCompra_Companias1 FOREIGN KEY (IdCiaCrea) REFERENCES [dbo].[Companias] (IdCia),
 CONSTRAINT FK_Trn_OilDevCompra_Conceptos FOREIGN KEY (IdConcepto) REFERENCES [dbo].[Conceptos] (IdConcepto),
 CONSTRAINT FK_Trn_OilDevCompra_Sys_TiposDoc FOREIGN KEY (TipDev) REFERENCES [dbo].[Sys_TiposDoc] (IdDoc),
 CONSTRAINT FK_Trn_OilDevCompra_Terceros FOREIGN KEY (IdProveedor) REFERENCES [dbo].[Terceros] (IdTercero),
 CONSTRAINT FK_Trn_OilDevCompra_Trn_OilCompra FOREIGN KEY (TipDoc,NumCompra,IdCiaDoc) REFERENCES [dbo].[Trn_OilCompra] (TipDoc,NumCompra,IdCia)

 CREATE NONCLUSTERED INDEX IX_Trn_OilDevCompraFecha ON Trn_OilDevCompra(Fecha)
 CREATE NONCLUSTERED INDEX IX_Trn_OilDevCompraNumCompra ON Trn_OilDevCompra(TipDoc,NumCompra,IdCiaDoc)
 CREATE NONCLUSTERED INDEX IX_Trn_OilDevCompraIdProveedor ON Trn_OilDevCompra(IdProveedor)

ALTER TABLE Trn_OilDevComProd ADD 
 CONSTRAINT FK_Trn_OilDevComProd_ProdMcias FOREIGN KEY (IdProducto) REFERENCES [dbo].[ProdMcias] (IdProducto),
 CONSTRAINT FK_Trn_OilDevComProd_Sys_Um FOREIGN KEY (UndMed) REFERENCES [dbo].[Sys_Um] (UndMed),
 CONSTRAINT FK_Trn_OilDevComProd_Trn_OilDevCompra FOREIGN KEY (TipDev,Devolucion,IdCia) REFERENCES [dbo].[Trn_OilDevCompra] (TipDev,Devolucion,IdCia)

ALTER TABLE Trn_OilCostos ADD 
 CONSTRAINT FK_Trn_OilCostos_adm_Usuarios FOREIGN KEY (IdUsuario) REFERENCES [dbo].[adm_Usuarios] (IdUsuario),
 CONSTRAINT FK_Trn_OilCostos_Companias FOREIGN KEY (IdCia) REFERENCES [dbo].[Companias] (IdCia),
 CONSTRAINT FK_Trn_OilCostos_Companias1 FOREIGN KEY (IdCiaCrea) REFERENCES [dbo].[Companias] (IdCia),
 CONSTRAINT FK_Trn_OilCostos_Conceptos FOREIGN KEY (IdConcepto) REFERENCES [dbo].[Conceptos] (IdConcepto),
 CONSTRAINT FK_Trn_OilCostos_Sys_TiposDoc FOREIGN KEY (TipProc) REFERENCES [dbo].[Sys_TiposDoc] (IdDoc)

 CREATE NONCLUSTERED INDEX IX_Trn_OilCostosFecha ON Trn_OilCostos(Fecha)
 CREATE NONCLUSTERED INDEX IX_Trn_OilCostosFechaInicio ON Trn_OilCostos(FechaInicio)
 CREATE NONCLUSTERED INDEX IX_Trn_OilCostosNitProveedor ON Trn_OilCostos(NitProveedor)
ALTER TABLE Trn_OilCostosProd ADD 
 CONSTRAINT FK_Trn_OilCostosProd_ProdMcias FOREIGN KEY (IdProducto) REFERENCES [dbo].[ProdMcias] (IdProducto),
 CONSTRAINT FK_Trn_OilCostosProd_Trn_OilCostos FOREIGN KEY (TipProc,NumProceso,IdCia) REFERENCES [dbo].[Trn_OilCostos] (TipProc,NumProceso,IdCia)

 CREATE NONCLUSTERED INDEX IX_Trn_OilCostosProdNumCompra ON Trn_OilCostosProd(TipCom,NumCompra,IdCiaCom)

ALTER TABLE ProdCueCrudo ADD 
 CONSTRAINT FK_ProdCueCrudo_ProdMcias FOREIGN KEY (IdProducto) REFERENCES [dbo].[ProdMcias] (IdProducto)

INSERT INTO Sys_TiposDoc (IdDoc,TipoDoc,ConsUnico,Leyenda,Inactivo,IntegraCias)
 VALUES ('COC','COMPRA DE CRUDO',0,'',0,0)
INSERT INTO Sys_TiposDoc (IdDoc,TipoDoc,ConsUnico,Leyenda,Inactivo,IntegraCias)
 VALUES ('DCR','DEVOLUCION DE FACTURAS DE COMPRAS',0,'',0,0)
INSERT INTO Sys_TiposDoc (IdDoc,TipoDoc,ConsUnico,Leyenda,Inactivo,IntegraCias)
 VALUES ('PCC','PROVISION DE COSTOS',0,'',0,0)

INSERT INTO Sys_TiposDocCue (IdDoc,IdClase,ClaseCuenta,TipoMov)
 VALUES ('COC',2,'PROVEEDORES - CUENTA POR PAGAR','C')
INSERT INTO Sys_TiposDocCue (IdDoc,IdClase,ClaseCuenta,TipoMov)
 VALUES ('COC',3,'IVA','D')
INSERT INTO Sys_TiposDocCue (IdDoc,IdClase,ClaseCuenta,TipoMov)
 VALUES ('COC',4,'RETENCION EN LA FUENTE','C')
INSERT INTO Sys_TiposDocCue (IdDoc,IdClase,ClaseCuenta,TipoMov)
 VALUES ('COC',5,'RETENCION ICA','C')
INSERT INTO Sys_TiposDocCue (IdDoc,IdClase,ClaseCuenta,TipoMov)
 VALUES ('COC',6,'RETENCION IVA','C')
INSERT INTO Sys_TiposDocCue (IdDoc,IdClase,ClaseCuenta,TipoMov)
 VALUES ('COC',7,'FLETES','D')
INSERT INTO Sys_TiposDocCue (IdDoc,IdClase,ClaseCuenta,TipoMov)
 VALUES ('COC',9,'OTROS CARGOS','D')
INSERT INTO Sys_TiposDocCue (IdDoc,IdClase,ClaseCuenta,TipoMov)
 VALUES ('COC',10,'OTROS DESCUENTOS','C')
INSERT INTO Sys_TiposDocCue (IdDoc,IdClase,ClaseCuenta,TipoMov)
 VALUES ('COC',11,'DESCUENTOS','C')
INSERT INTO Sys_TiposDocCue (IdDoc,IdClase,ClaseCuenta,TipoMov)
 VALUES ('COC',1,'INVENTARIOS','D')
INSERT INTO Sys_TiposDocCue (IdDoc,IdClase,ClaseCuenta,TipoMov)
 VALUES ('DCR',1,'INVENTARIOS','C')
INSERT INTO Sys_TiposDocCue (IdDoc,IdClase,ClaseCuenta,TipoMov)
 VALUES ('DCR',2,'PROVEEDORES - CUENTA POR PAGAR','D')
INSERT INTO Sys_TiposDocCue (IdDoc,IdClase,ClaseCuenta,TipoMov)
 VALUES ('DCR',3,'IVA','C')
INSERT INTO Sys_TiposDocCue (IdDoc,IdClase,ClaseCuenta,TipoMov)
 VALUES ('DCR',4,'RETENCION EN LA FUENTE','D')
INSERT INTO Sys_TiposDocCue (IdDoc,IdClase,ClaseCuenta,TipoMov)
 VALUES ('DCR',5,'RETENCION ICA','D')
INSERT INTO Sys_TiposDocCue (IdDoc,IdClase,ClaseCuenta,TipoMov)
 VALUES ('DCR',6,'RETENCION IVA','D')
INSERT INTO Sys_TiposDocCue (IdDoc,IdClase,ClaseCuenta,TipoMov)
 VALUES ('DCR',7,'FLETES','C')
INSERT INTO Sys_TiposDocCue (IdDoc,IdClase,ClaseCuenta,TipoMov)
 VALUES ('DCR',9,'OTROS CARGOS','C')
INSERT INTO Sys_TiposDocCue (IdDoc,IdClase,ClaseCuenta,TipoMov)
 VALUES ('DCR',10,'OTROS DESCUENTOS','D')
INSERT INTO Sys_TiposDocCue (IdDoc,IdClase,ClaseCuenta,TipoMov)
 VALUES ('DCR',11,'DESCUENTOS','D')
INSERT INTO Sys_TiposDocCue (IdDoc,IdClase,ClaseCuenta,TipoMov)
 VALUES ('PCC',1,'INVENTARIOS','D')
INSERT INTO Sys_TiposDocCue (IdDoc,IdClase,ClaseCuenta,TipoMov)
 VALUES ('PCC',7,'TRANSPORTE','C')

INSERT INTO ClaseSub (IdClase,NomClase,Inactivo)
 VALUES ('0031','PROVISION DE TRANSPORTE',0)
